FreeMat

- Main Page
- Related Pages

vtkVRMLImporter

Section: Visualization Toolkit Hybrid Classes

# Usage

vtkVRMLImporter imports VRML 2.0 files into vtk.

To create an instance of class vtkVRMLImporter, simply invoke its constructor as follows

      obj = vtkVRMLImporter

# Methods

The class vtkVRMLImporter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkVRMLImporter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkVRMLImporter = obj.NewInstance ()`
- `vtkVRMLImporter = obj.SafeDownCast (vtkObject o)`
- `vtkObject = obj.GetVRMLDEFObject (string name)` - In the VRML spec you can DEF and USE nodes (name them), This routine will return the associated VTK object which was created as a result of the DEF mechanism Send in the name from the VRML file, get the VTK object. You will have to check and correctly cast the object since this only returns vtkObjects.
- `obj.enterNode (string )` - Needed by the yacc/lex grammar used
- `obj.exitNode ()` - Needed by the yacc/lex grammar used
- `obj.enterField (string )` - Needed by the yacc/lex grammar used
- `obj.exitField ()` - Needed by the yacc/lex grammar used
- `obj.useNode (string )` - Needed by the yacc/lex grammar used
- `obj.SetFileName (string )` - Specify the name of the file to read.
- `string = obj.GetFileName ()` - Specify the name of the file to read.